import java.io.*;
import java.util.*;

public class Main implements Runnable{
 StreamTokenizer in;
 BufferedReader bin;
 PrintWriter out;
 public static void main(String[] args){
  new Thread(new Main()).start();
 }
 public void run(){
  try{
   bin=new BufferedReader(new FileReader("G.in"));
   in=new StreamTokenizer(bin);
   out=new PrintWriter(new FileWriter("G.out"));
   Locale.setDefault(Locale.US);
   solve();
   out.flush();
  }catch(IOException ex){
   throw new IllegalStateException(ex);
  }
 }
 int nextInt() throws IOException{
  in.nextToken();
  return (int)in.nval;
 }
 void solve() throws IOException{
  out.println("TOO MANY");
 }
}